Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ORCA2
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ORCA2	(revision 704)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/namelist_ORCA2	(revision 705)
@@ -260,45 +287,43 @@
 &namlbc        !   lateral momentum boundary condition
 !-----------------------------------------------------------------------
-   shlat       =    2.     !      shlat = 0 : free slip
-                           !  0 < shlat < 2 : partial slip
-                           !      shlat = 2 : no slip
-                           !  2 < shlat     : strong slip
+   rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+                           !  free slip  !   partial slip  !   no slip   ! strong slip
 /
 !-----------------------------------------------------------------------
 &namcla        !   cross land advection
 !-----------------------------------------------------------------------
-   n_cla       =    0      !  advection between 2 ocean pts separates by land
+   nn_cla      =    0      !  advection between 2 ocean pts separates by land
 /
 !-----------------------------------------------------------------------
 &namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
-                           !  = 1 the obc data are read in 'obc.dta' files
-    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
-                           !  set to monthly if obc datafile hold 1 month of data
-    rdpein     =    1.     !  ???
-    rdpwin     =    1.     !  ???
-    rdpnin     =    1.     !  ???
-    rdpsin     =    1.     !  ???
-    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
-    rdpwob     =   15.     !    "        "             "     west         "
-    rdpnob     = 3000.     !    "        "             "     north        "
-    rdpsob     =   15.     !    "        "             "     south        "
-    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
-    zbsic2     =    1.e+6  !    "                   "        second       "
-    zbsic3     =    0.     !    "                   "        thrid        "
     ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
     ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
-/
-!-----------------------------------------------------------------------
-&namagrif      !                                                        ("key_agrif")
-!-----------------------------------------------------------------------
-    nbclineupdate = 3      !  baroclinic update frequency
+    ln_obc_fla = .false.   !  Flather open boundary condition 
+    nn_obcdta  =    1      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    cn_obcdta  = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
+    rn_dpein   =    1.     !  damping time scale for inflow at east  open boundary
+    rn_dpwin   =    1.     !     -           -         -       west    -      -
+    rn_dpnin   =    1.     !     -           -         -       north   -      -
+    rn_dpsin   =    1.     !     -           -         -       south   -      -
+    rn_dpeob   = 3000.     !  time relaxation (days) for the east  open boundary
+    rn_dpwob   =   15.     !     -           -         -     west    -      -
+    rn_dpnob   = 3000.     !     -           -         -     north   -      -
+    rn_dpsob   =   15.     !     -           -         -     south   -      -
+    rn_volemp  =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
+                           !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
+!-----------------------------------------------------------------------
+    nn_cln_update = 3      !  baroclinic update frequency
     ln_spc_dyn    = .true. !  use 0 as special value for dynamics
-    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
-    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+    rn_sponge_tra = 2880.  !  coefficient for tracer   sponge layer [s]
+    rn_sponge_dyn = 2880.  !  coefficient for dynamics sponge layer [s]
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
     filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
@@ -320,5 +345,5 @@
 /
 !-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              
+&nambdy_tide     ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
@@ -327,4 +352,5 @@
     ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
+
 !!======================================================================
 !!                 ***  Bottom boundary condition  ***
@@ -338,17 +364,17 @@
 &nambfr        !   bottom friction
 !-----------------------------------------------------------------------
-   nbotfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+   nn_bfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
                            !                              = 3 : free slip,  = 1 :    linear friction
-   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
-   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
-   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+   rn_bfri1    =    4.e-4  !  bottom drag coefficient (linear case)
+   rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case)
+   rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
 /
 !-----------------------------------------------------------------------
 &nambbc        !   bottom temperature boundary condition
 !-----------------------------------------------------------------------
-   ngeo_flux   =    2      !  geothermal heat flux = 0 no flux considered 
-                           !                       = 1 constant flux
-                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
-   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux 
+                           !     = 1 constant flux
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
 /
 !-----------------------------------------------------------------------
@@ -357,5 +383,5 @@
 !                          !  diffusive bbl                             ("key_trabbl")
 !                          !  advective bbl                             ("key_trabbl_adv")
-   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
+   rn_ahtbbl   =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
 /
 !!======================================================================
@@ -363,7 +389,7 @@
 !!======================================================================
 !!   nameos        equation of state
-!!   nam_traadv    advection scheme
-!!   nam_traldf    lateral diffusion scheme
-!!   namtdp        tracer newtonian damping                             ("key_tradmp")
+!!   namtra_adv    advection scheme
+!!   namtra_ldf    lateral diffusion scheme
+!!   namtra_dmp    T & S newtonian damping                              ("key_tradmp")
 !!======================================================================
 
@@ -371,13 +397,13 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+   nn_eos      =    0      !  type of equation of state and Brunt-Vaisala frequency
                            !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
                            !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
                            !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
-   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
-/
-!-----------------------------------------------------------------------
-&nam_traadv    !   advection scheme for tracer 
+   rn_alpha    =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rn_beta     =    0.001  !  saline  expension coefficient (neos= 2)
+/
+!-----------------------------------------------------------------------
+&namtra_adv    !   advection scheme for tracer 
 !-----------------------------------------------------------------------
    ln_traadv_cen2   =  .true.   !  2nd order centered scheme   
@@ -388,46 +414,44 @@
 /
 !-----------------------------------------------------------------------
-&nam_traldf    !   lateral diffusion scheme for tracer 
-!-----------------------------------------------------------------------
-!                               !  Type of the operator : 
+&namtra_ldf    !   lateral diffusion scheme for tracer 
+!-----------------------------------------------------------------------
+                           !  Type of the operator : 
    ln_traldf_lap    =  .true.   !     laplacian operator       
    ln_traldf_bilap  =  .false.  !     bilaplacian operator     
-                                !  Direction of action  :
+                           !  Direction of action  :
    ln_traldf_level  =  .false.  !     iso-level                
    ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
    ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
-!                               !  Coefficient
-   aht0        =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
-   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
-   aeiv0       =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
-/
-!-----------------------------------------------------------------------
-&namtdp        !   tracer newtonian damping                             ('key_tradmp')
-!-----------------------------------------------------------------------
-   ndmp        =   -1      !  type of damping in temperature and salinity 
-                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
-                           !                  of the distance-to-coast. Red and Med Seas as ndmp=-1
-                           !     =-1 damping only in Med and Red Seas
-   ndmpf       =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
-   nmldmp      =    1      !  type of damping: =0 damping throughout the water column
-                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
-                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
-   sdmp        =   50.     !  surface time scale for internal damping (days)
-   bdmp        =  360.     !  bottom  time scale for internal damping (days)
-   hdmp        =  800.     !  depth of transition between sdmp and bdmp (meters)
+                           !  Coefficient
+   rn_aht_0         =  2000.    !     horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtb_0        =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+   rn_aeiv_0        =  2000.    !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namtra_dmp    !   tracer: T & S newtonian damping                      ('key_tradmp')
+!-----------------------------------------------------------------------
+   nn_hdmp     =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
+                           !                   =XX, damping poleward of XX degrees (XX>0)
+                           !                      + F(distance-to-coast) + Red and Med Seas
+   nn_zdmp     =    1      !  vertical   shape =0    damping throughout the water column
+                           !                   =1 no damping in the mixing layer (kz  criteria)
+                           !                   =2 no damping in the mixed  layer (rho crieria)
+   rn_surf     =   50.     !  surface time scale of damping   [days]
+   rn_bot      =  360.     !  bottom  time scale of damping   [days]
+   rn_dep      =  800.     !  depth of transition between rn_surf and rn_bot [meters]
+   nn_file     =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
 /
 !!======================================================================
 !!                      ***  Dynamics namelists  ***
 !!======================================================================
-!!   nam_dynadv    formulation of the momentum advection
-!!   nam_dynvor    advection scheme
-!!   nam_dynhpg    hydrostatic pressure gradient
-!!   namflg        hydrostatic pressure gradient time stepping
-!!   nam_dynspg    surface pressure gradient                            (CPP key only)
-!!   nam_dynldf    lateral diffusion scheme
-!!======================================================================
-
-!-----------------------------------------------------------------------
-&nam_dynadv    !   formulation of the momentum advection
+!!   namdyn_adv    formulation of the momentum advection
+!!   namdyn_vor    advection scheme
+!!   namdyn_hpg    hydrostatic pressure gradient
+!!   namdyn_spg    surface pressure gradient                            (CPP key only)
+!!   namdyn_ldf    lateral diffusion scheme
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection
 !-----------------------------------------------------------------------
    ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
@@ -436,5 +460,5 @@
 /  
 !-----------------------------------------------------------------------
-&nam_dynvor    !   option of physics/algorithm (not control by CPP keys)
+&namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
    ln_dynvor_ene = .false. !  enstrophy conserving scheme  
@@ -444,5 +468,5 @@
 /
 !-----------------------------------------------------------------------
-&nam_dynhpg    !   Hydrostatic pressure gradient option
+&namdyn_hpg    !   Hydrostatic pressure gradient option
 !-----------------------------------------------------------------------
    ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
@@ -453,34 +477,29 @@
    ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
    ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
-   gamm        = 0.e0      !  weighting coefficient (wdj scheme)
-/
-!-----------------------------------------------------------------------
-&namflg        !   algorithm flags (algorithm not control by CPP keys)
-!-----------------------------------------------------------------------
-   ln_dynhpg_imp = .false. !  hydrostatic pressure gradient: semi-implicit time scheme  (T)
-                           !                                 centered      time scheme  (F)
-   nn_dynhpg_rst =  0      !  add dynhpg implicit variables in restart ot not (1/0)
-/
-!-----------------------------------------------------------------------
-!nam_dynspg    !   surface pressure gradient   (CPP key only)
+   rn_gamma    = 0.e0      !  weighting coefficient (wdj scheme)
+   ln_dynhpg_imp = .false. !  time stepping: semi-implicit time scheme  (T)
+                                 !           centered      time scheme  (F)
+   nn_dynhpg_rst =  0            ! =1 dynhpg restartable restart or not (=0)
+/
+!-----------------------------------------------------------------------
+!namdyn_spg    !   surface pressure gradient   (CPP key only)
 !-----------------------------------------------------------------------
 !                          !  explicit free surface                     ("key_dynspg_exp")
 !                          !  filtered free surface                     ("key_dynspg_flt")
 !                          !  split-explicit free surface               ("key_dynspg_ts")
-!                          !  rigid-lid                                 ("key_dynspg_rl")
-
-!-----------------------------------------------------------------------
-&nam_dynldf    !   lateral diffusion on momentum
-!-----------------------------------------------------------------------
-!                               !  Type of the operator : 
-   ln_dynldf_lap    =  .true.   !     laplacian operator         
-   ln_dynldf_bilap  =  .false.  !     bilaplacian operator    
-!                               !  Direction of action  : 
-   ln_dynldf_level  =  .false.  !     iso-level               
-   ln_dynldf_hor    =  .true.   !     horizontal (geopotential)        (require "key_ldfslp" in s-coord.)
-   ln_dynldf_iso    =  .false.  !     iso-neutral                      (require "key_ldfslp")
-                                !  Coefficient
-   ahm0    = 40000.             !     horizontal eddy viscosity   [m2/s]
-   ahmb0   =     0.             !     background eddy viscosity for ldf_iso [m2/s]
+
+!-----------------------------------------------------------------------
+&namdyn_ldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+                           !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !  laplacian operator         
+   ln_dynldf_bilap  =  .false.  !  bilaplacian operator    
+                           !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !  iso-level               
+   ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
+                           !  Coefficient
+   rn_ahm_0    = 40000.         !  horizontal eddy viscosity   [m2/s]
+   rn_ahmb_0   =     0.         !  background eddy viscosity for ldf_iso [m2/s]
 /
 !!======================================================================
@@ -488,9 +507,9 @@
 !!======================================================================
 !!       namzdf        vertical physics
-!!       namnpc        non penetrative convection                       
-!!       namric        richardson number dependent vertical mixing      ("key_zdfric"      )
-!!       namtke        TKE dependent vertical mixing                    ("key_zdftke"      )
-!!       namkpp        KPP dependent vertical mixing                    ("key_zdfkpp"      )
-!!       namddm        double diffusive mixing parameterization         ("key_zdfddm"      )
+!!       namzdf_ric    richardson number dependent vertical mixing      ("key_zdfric"      )
+!!       namzdf_tke    TKE dependent vertical mixing                    ("key_zdftke"      )
+!!       namzdf_kpp    KPP dependent vertical mixing                    ("key_zdfkpp"      )
+!!       namzdf_ddm    double diffusive mixing parameterization         ("key_zdfddm"      )
+!!       namzdf_tmx    tidal mixing parameterization                    ("key_zdftmx"      )
 !!======================================================================
 
@@ -498,37 +517,33 @@
 &namzdf        !   vertical physics
 !-----------------------------------------------------------------------
-   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
-   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
-   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
-   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
-   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
-   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
-   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
-/
-!-----------------------------------------------------------------------
-&namnpc        !   non penetrative convection
-!-----------------------------------------------------------------------
-   nnpc1       =    1      !  non penetrative convective scheme computation frequency
-   nnpc2       =  365      !  non penetrative convective scheme print frequency
-/
-!-----------------------------------------------------------------------
-&namric        !   richardson number dependent vertical diffusion       ("key_zdfric" )
-!-----------------------------------------------------------------------
-   avmri       = 100.e-4   !  maximum value of the vertical viscosity
-   alp         =   5.      !  coefficient of the parameterization
-   nric        =   2       !  coefficient of the parameterization
-/
-!-----------------------------------------------------------------------
-&namtke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
-!-----------------------------------------------------------------------
-   ln_rstke    = .false.   !  restart with tke from a run without tke (T) or not (F)
-   nn_itke     =  50       !  number of iterative loops if ln_rstke=T 
+   rn_avm0     =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   rn_avt0     =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   nn_avb      =    0      !  profile for background avt & avm (=1) or not (=0)
+   nn_havtb    =    0      !  horizontal shape for avtb (=1) or not (=0)
+   ln_zdfevd   = .true.    !  enhanced vertical diffusion (evd) (T) or not (F)
+   nn_evdm     =    1      !  evd apply on tracer (=0) or on tracer and momentum (=1)
+   rn_avevd    =  100.     !  evd mixing coefficient [m2/s]
+   ln_zdfnpc   = .false.   !  Non-Penetrative algorithm (T) or not (F)
+   nn_npc      =    1            !  frequency of application of npc
+   nn_npcp     =  365            !  npc control print frequency
+   ln_zdfexp   = .false.   !  time-stepping: split-explicit (T) or implicit (F) time stepping
+   nn_zdfexp   =    3            !  number of sub-timestep for ln_zdfexp=T
+/
+!-----------------------------------------------------------------------
+&namzdf_ric    !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   rn_avmri    = 100.e-4   !  maximum value of the vertical viscosity
+   rn_alp      =   5.      !  coefficient of the parameterization
+   nn_ric      =   2       !  coefficient of the parameterization
+/
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
    rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
    rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
    rn_ebb      =   3.75    !  coef. of the surface input of tke
-   rn_efave    =   1.      !  boost of the tke diffusion ( avtke=rn_efave*avm )
    rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
    rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   rn_bshear   =   1.e-20  !  background shear (>0)
    nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
                            !                 = 1 bounded by the local vertical scale factor
@@ -536,6 +551,4 @@
                            !                 = 3 same criteria as case 2 but applied in a different way
    nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
-   nn_avb      =   0       !  profile for constant background used on avt & avm (=1) or not (=0)
-   nn_ave      =   1       !  horizontal averaged on avt (=1) or not (=0) 
    ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
    rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
@@ -543,40 +556,47 @@
    nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
                            !        = 0 no penetration ( O(2 km) resolution)
-                           !        = 1 additional tke source 
+                           !        = 1 additional tke source
                            !        = 2 additional tke source applied only at the base of the mixed layer
-   nn_htau     =   2       !  type of exponential decrease of tke penetration
+   nn_htau     =   1       !  type of exponential decrease of tke penetration
                            !        = 0  constant 10 m length scale
-                           !        = 1  ???
-                           !        = 2  ???
+                           !        = 1  0.5m at the equator to 30m at high latitudes
    rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
-   ln_lc       = .false.   !  Langmuir cell effect
+   ln_lc       = .false.   !  Langmuir cell parameterisation
    rn_lc       =   0.15    !  coef. associated to Langmuir cells
-   nn_havtb    =   0       !  horizontal shape for avtb (=1) or not (=0)
 /
 !------------------------------------------------------------------------
-&namkpp        !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
-!                                                                         "key_kppcustom" or "key_kpplktb")
-!------------------------------------------------------------------------
+&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
    ln_kpprimix = .true.    !  shear instability mixing 
-   difmiw      =  1.0e-04  !  constant internal wave viscosity [m2/s]
-   difsiw      =  0.1e-04  !  constant internal wave diffusivity [m2/s]
-   Riinfty     =  0.8      !  local Richardson Number limit for shear instability
-   difri       =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
-   bvsqcon     = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
-   difcon      =  1.       !  maximum mixing in interior convection [m2/s]
-   navb        =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
-   nave        =  1        !  constant (=0) or profile (=1) background on avt
-/
-!-----------------------------------------------------------------------
-&namddm        !   double diffusive mixing parameterization                  ("key_zdfddm")
-!-----------------------------------------------------------------------
-      avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
-      hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+   rn_difmiw   =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   rn_difsiw   =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   rn_riinfty  =  0.8      !  local Richardson Number limit for shear instability
+   rn_difri    =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s] 
+   nn_avb      =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nn_ave      =  1        !  constant (=0) or profile (=1) background on avt
+/
+!-----------------------------------------------------------------------
+&namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
+!-----------------------------------------------------------------------
+   rn_avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+   rn_hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+/
+!-----------------------------------------------------------------------
+&namzdf_tmx    !   tidal mixing parameterization                        ("key_zdftmx")
+!-----------------------------------------------------------------------
+   rn_htmx     = 500.      !  vertical decay scale for turbulence (meters)
+   rn_n2min    = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
+   rn_tfe      = 0.333     !  tidal dissipation efficiency
+   rn_me       = 0.2       !  mixing efficiency 
+   ln_tmx_itf  = .FALSE.   !  ITF specific parameterisation
+   rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
 /
 !!======================================================================
 !!                  ***  Miscelaneous namelists  ***
 !!======================================================================
-!!   nam_mpp           Massively Parallel Processing                    ("key_mpp_mpi)
-!!   nam_mpp_dyndist   Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi)
+!!   nammpp_dyndist    Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
 !!   namctl            Control prints & Benchmark
 !!   namsol            elliptic solver / island / free surface 
